%bcond_without check
%global srcname zstandard

Summary:       Zstandard bindings for Python
Name:          python-%{srcname}
Version:       0.21.0
Release:       4%{?dist}
License:       BSD and GPLv2
URL:           https://github.com/indygreg/python-%{srcname}
Source0:       %{pypi_source}

%description
This project provides Python bindings for interfacing with the Zstandard compression library.
A C extension and CFFI interface are provided.


%package -n python3-%{srcname}
Summary: %{summary}
BuildRequires: gcc libzstd-devel
BuildRequires: python3-devel python3-setuptools
BuildRequires: python3-cffi
%if %{with check}
BuildRequires: python3-hypothesis
BuildRequires: python3-pytest python3-pytest-xdist
%endif
# https://github.com/indygreg/python-zstandard/issues/48
Provides: bundled(zstd) = 1.5.2

%description -n python3-%{srcname}
This project provides Python bindings for interfacing with the Zstandard compression library.
A C extension and CFFI interface are provided.


%prep
%autosetup -n %{srcname}-%{version}
rm -r %{srcname}.egg-info


%build
%py3_build


%install
%py3_install


%check
%if %{with check}
mv zstandard{,.src}
export ZSTD_SLOW_TESTS=1
%pytest -v --numprocesses=auto
mv zstandard{.src,}
%endif


%files -n python3-%{srcname}
%license LICENSE zstd/COPYING
%doc README.rst
%{python3_sitearch}/%{srcname}-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/%{srcname}


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.0-3
- Rebuilt for loongarch release

* Mon Jun 3 2024 Shuo Wang <abushwang@tencent.com> - 0.21.0-2
- enable %check

* Wed Sep 27 2023 Wang Guodong <gordonwwang@tencent.com> - 0.21.0-1
- Upgrade to version 0.21.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 06 2023 rockerzhu <rockerzhu@tencent.com> - 0.19.0-1
- Initial build
